%define snapshot 5

Name:		blindelephant
Version:	1.0
Release:	%mkrel 0.%{snapshot}.4
Summary:	Web Application Finger Printer
License:	LGPL
Group:		Security
URL:		http://blindelephant.sourceforge.net/
Source:     %{name}-%{snapshot}.tar.bz2
BuildArch:	noarch

%description
The BlindElephant Web Application Fingerprinter attempts to discover the
version of a (known) web application by comparing static files at known
locations against precomputed hashes for versions of those files in all all
available releases. The technique is fast, low-bandwidth, non-invasive,
generic, and highly automatable.

%prep
%setup -q -n %{name}

%build
cd src
python setup.py build

%install
rm -rf %{buildroot}

pushd src
python setup.py install --root=%{buildroot}
popd

install -d -m 755 %{buildroot}%{_bindir}
cat > %{buildroot}%{_bindir}/blindelephant <<EOF
#!/bin/sh
python %{py_sitedir}/blindelephant/BlindElephant.py $@
EOF
chmod +x %{buildroot}%{_bindir}/blindelephant

install -d -m 755 %{buildroot}%{_datadir}/%{name}/shell-scripts
install -m 755 tools/shell-scripts/* \
    %{buildroot}%{_datadir}/%{name}/shell-scripts/

%files
%doc README doc/*
%{_bindir}/blindelephant
%{py_sitedir}/blindelephant
%{py_sitedir}/BlindElephant-1.0-py%{pyver}.egg-info
%{_datadir}/%{name}





%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.0-0.5.4.mga3
+ Revision: 346916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 16 2012 guillomovitch <guillomovitch> 1.0-0.5.3.mga3
+ Revision: 307156
- switch to Security group

* Fri Jul 29 2011 guillomovitch <guillomovitch> 1.0-0.5.3.mga2
+ Revision: 130395
- fix wrapper

* Wed Jul 20 2011 guillomovitch <guillomovitch> 1.0-0.5.2.mga2
+ Revision: 127283
- fix group

* Tue Jul 19 2011 guillomovitch <guillomovitch> 1.0-0.5.1.mga2
+ Revision: 126464
- imported package blindelephant

